/// <reference types="node" />
import type { IncomingMessage } from "http";
import { Callback, HTTPOptions, SendOptions } from "./types";
export declare type MessageAndCallback = {
    serializedMessage: string;
    callback: Callback<IncomingMessage> | null;
};
export declare type PreparedBatch = {
    payload: string;
    messageCount: number;
    callbacks: Array<Callback<IncomingMessage> | null>;
};
export declare type BatchState = {
    messages: MessageAndCallback[];
    messageSizeInBytes: number;
};
export declare const MAX_MESSAGES_IN_BATCH = 100;
export declare const MAX_BATCH_SIZE_BYTES = 1638400;
export declare class RaygunBatchTransport {
    private timerId;
    private httpOptions;
    private interval;
    private batchId;
    private batchState;
    constructor(options: {
        interval: number;
        httpOptions: HTTPOptions;
    });
    send(options: SendOptions): void;
    stopProcessing(): void;
    private onIncomingMessage;
    private processBatch;
    private sendBatch;
}
